"""
Tek boyutta ivmeli harekette toplam yer degistirmeyi hesaplayan program

Girdi Parametreleri
--------------------
-s0 # Ilk konum (varsayilan = 0 m)
-t # zaman (varsayilan = 1 saniye)
-a # ivme (varsayilan = 1 m/s^2)
-v0 # ilk hiz (varsayilan = 0 m/s)

ornek calisma - 1
------------------
python ders08_orn05_yerdegistirme.py --s0 5 --v0 3 --t 2 --a 2

ornek cikti - 1
--------------------------
Toplam yer degistirme = 15

ornek calisma - 2
------------------
ders08_orn05_yerdegistirme.py --t 5

ornek cikti - 2
--------------------------
Toplam yer degistirme = 12.5

ornek calisma - 3
------------------
ders08_orn05_yerdegistirme.py --t

ornek cikti - 2
--------------------------
Toplam yer degistirme = 0.5


"""
# oncelikle varsayilan degerleri belirleyelim
import sys
import getopt
s0 = v0 = 0
a = t = 1
argumanlar, artanlar = getopt.getopt(sys.argv[1:], '',
                                     ['t=', 's0=', 'v0=', 'a='])
# argumanlar (arguman,deger) ikilelerini iceren demetlerden (tuple)
# olusmus bir listedir.
for arguman, deger in argumanlar:
    if arguman == '--t':
        t = float(deger)
    elif arguman == '--a':
        a = float(deger)
    elif arguman == '--v0':
        v0 = float(deger)
    elif arguman == '--s0':
        s0 = float(deger)
s = s0 + v0*t + 0.5*a*t**2
print("Toplam yer degistirme = {:g}".format(s))
