"""
Kullanici tarafindan komut satirindan saglanan 
Santigrad dereceyi Fahrenheit dereceye cevirir.

ornek calisma - 1
------------------
python ders08_orn08_C2F_v4.py yirmibir

ornek cikti - 1
----------------
Santigrad derece reel ya da tam sayi olarak girilmelidir,
girdiginiz yirmibir bir metindir. Lutfen duzeltip tekrar deneyiniz!
An exception has occurred, use %tb to see the full traceback.

SystemExit: 1


ornek calisma - 2
------------------
python ders08_orn08_C2F_v4.py 21

ornek cikti - 2
----------------
21C = 69.8F

ornek calisma - 3
------------------
python ders08_orn08_C2F_v4.py -275

ornek cikti - 3
----------------
C=-275 fiziksel bir deger degildir!
An exception has occurred, use %tb to see the full traceback.

SystemExit: 1

ornek calisma - 4
-----------------_
python ders08_orn08_C2F_v4.py

ornek cikti - 4
----------------
Komut satirinda sicaklik santigrad derece olarak girilmelidir!
An exception has occurred, use %tb to see the full traceback.

SystemExit: 1

"""
import sys
def oku_C():
    try:
        C = float(sys.argv[1])
    except IndexError:
        raise IndexError\
        ("Komut satirinda sicaklik santigrad derece olarak girilmelidir!")
    except ValueError:
        raise ValueError\
        ("Santigrad derece reel ya da tam sayi olarak girilmelidir,\n"\
"girdiginiz {:s} bir {:} degiskendir. Lutfen duzeltip tekrar deneyiniz!".format(sys.argv[1], type(sys.argv[1])))
    # C dogru bir sekilde giriliyor ama fiziksel degil!:
    if C < -273.15:
        raise ValueError("C={:g} fiziksel bir deger degildir!".format(C))
    return C


# Burada Exception tum bilinen hatalarin (istisnalar) ortak adi,
# err ise bir hata (istisna) nesnesidir. Bu nedenle hata kaynagi
# ne olursa olsun Exception, oku_C içerisinde uyandirilan (raise edilen)
# hatalara iliskin mesajlari err nesnesi uzerinden ekrana
# basmaktadır.

try:
    C = oku_C()
except Exception as err:
    print(err) # hata mesaji
    sys.exit(1) # programdan cikis

F = 9.0*C/5 + 32
print("{:g}C = {:.1f}F".format(C, F))
